<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:fn="http://java.sun.com/jsp/jstl/functions"
	xmlns:f="http://java.sun.com/jsf/core">

<ui:composition>
	<h1>
		<small>Plano de Contas</small>
	</h1>
	<h:form id="frm">
            <p:tree id="docs" value="#{planoContasController.root}" 
					var="plano" selectionMode="single"
					selection="#{planoContasController.selectedNode}">
				<p:treeNode>
					<h:outputText value="#{plano}" />
				</p:treeNode>
			</p:tree>

			<p:contextMenu for="docs">
				<p:menuitem value="Novo" update="@none"
					actionListener="#{planoContasController.testeDeSelecionar}"
					icon="ui-icon-search"/>
				<p:menuitem value="Delete" update="docs"
					actionListener="#{treeContextMenuView.deleteNode}"
					icon="ui-icon-close" />
			</p:contextMenu>
	</h:form>
</ui:composition>

</html>